Please select Into the mobile phone version | Continue to access the computer ver.
Ellipsis 8
2465 12 2015-11-22
Uploading and Loding Picture ...(0/1)
o(^-^)o
pawinton
New

United States
Offline

The DJI Go app previously worked on my Ellipsis 8 and after the last update, my device is no longer compatible. I had both an App Update and a OS Update. Does anyone have any insight as to which of these updates may have broken my compatibilty?

Current Android Version: 5.1.1
Go App stated my device is no longer compatible and uninstalled itself.

Any suggestions on how to get the App to work again, or do I need to go buy a whole new device?
2015-11-22
Use props
Cetaman
Captain
Flight distance : 2398540 ft
  • >>>
United States
Offline

Aloha pawinton,

     The new app and firmware updates are causing some problems.  I am having problems too.  But, in your case the Android OS update came at the same time as the DJI Go upgrade.  Obviously, DJI has not had any time to view compatibility issues between the Android OS update and the new app version.  Is there any way you can roll back the Android OS update?  After DJI has figured out some more of these issues, you could update the Android OS again.  But, you might want to check with DJI first.

     If your DJI Go app worked with the earlier Android OS, it would be a faster way to get your P3 back in the air.

Aloha and Drone On!
2015-11-28
Use props
jd.jdfinley
lvl.1

United States
Offline

I am in exactly the same boat with the same tablet.  PLEASE DJI!!! How about a solution???
2015-12-8
Use props
DJI-Ken
DJI team
Flight distance : 1515312 ft
  • >>>
United States
Offline

If you're not using one of the approved devices listed on the website then the app may not work. As the updates come out they have more data each time and your device worked earlier but with the new DJi GO app, it probably is too powerful for your device.
2015-12-9
Use props
jd.jdfinley
lvl.1

United States
Offline

DJI-Ken Posted at 2015-12-9 19:28
If you're not using one of the approved devices listed on the website then the app may not work. As  ...

Please point me to the list of "approved devices".  I find "Recommended Devices" but, obviously, that is a very different thing.

Totally bogus answer, btw.  No wonder so many customers are unhappy. I didn't understand previous to this, now I do.
2015-12-10
Use props
DJI-Ken
DJI team
Flight distance : 1515312 ft
  • >>>
United States
Offline

I'm sorry if I mis-worded it, here are the devices that the app is COMPATIBLE with.

DJI GO APP

iOS Version v2.4.2. Requires iOS 8.0 or later. Compatible with iPhone 5s, iPhone 6, iPhone 6 Plus, iPad Air, iPad Air Wi-Fi + Cellular, iPad mini 2, iPad mini 2 Wi-Fi + Cellular, iPad Air 2, iPad Air 2 Wi-Fi + Cellular, iPad mini 3, and iPad mini 3 Wi-Fi + Cellular. This app is optimized for iPhone 5s, iPhone 6, and iPhone 6 Plus.
Android Version v2.4.2. Requires Android 4.1.2 or later. Compatible with Samsung tabs 705c, Samsung S6, Samsung S5, Samsung NOTE4, Samsung NOTE3, Google Nexus 9, Google Nexus 7 II, Ascend Mate7, Huawei P8 Max, Nubia Z7 mini, Sony Xperia Z3, MI 3, MI PAD, Smartisan T1.
*Support for additional Android devices available as testing and development continues.
2015-12-10
Use props
jd.jdfinley
lvl.1

United States
Offline

DJI-Ken Posted at 2015-12-10 11:46
I'm sorry if I mis-worded it, here are the devices that the app is COMPATIBLE with.

DJI GO APP

Please explain what a "Samsung tabs 705C" is please?  I can find nothing online that matches this.  Perhaps it is ANY Samsung "Tab" device??  

I would REALLY like to avoid purchasing ANOTHER tablet that I'll just have to replace in another six months.
2015-12-10
Use props
DJI-Ken
DJI team
Flight distance : 1515312 ft
  • >>>
United States
Offline

jd.jdfinley Posted at 2015-12-11 02:57
Please explain what a "Samsung tabs 705C" is please?  I can find nothing online that matches this. ...

I'm guessing they are talking about this one.
http://www.samsunggalaxyspecs.co ... -lte-samsung-klimt/
2015-12-10
Use props
jd.jdfinley
lvl.1

United States
Offline

DJI-Ken Posted at 2015-12-11 03:02
I'm guessing they are talking about this one.
http://www.samsunggalaxyspecs.com/samsung-galaxy-tab ...

RIght now I am so ticked off I can barely type - DJI-Ken.

I went out and purchased a Samsung Galaxy S, which is on the "approved" list, and guess what???  Google Play says "Your device isn't compatible with this version" when I attempt to install the DJI GO app.

WTF!?!?!?!!?
2016-1-4
Use props
jd.jdfinley
lvl.1

United States
Offline

After way more hair pulling than should be necessary, I got the Tab S working.

I downloaded and installed an apk that someone provided for me (unable to find a dowload on the DJI site any longer - thanks).  The app started after install. I exited and immediately went to the Play Store. I then received a message that an additional download was necessary for my device to be recognized ("kies" or something - I have not researched this yet). I accepted, the Play Store opened and showed the DJI GO app as being installed. I uninstalled (from the Play Store) and then installed (from the Play Store). It is now installed and working.

As a software developer that deals with deployment issues, I sure hope DJI takes this information and adds it somewhere useful.  This was a brand new, just out of box device. I had installed NOTHING and had not changed ANY settings.  If instructions for installation in that scenario cannot be created, then nobody else stands a chance.
2016-1-4
Use props
DJI-Ken
DJI team
Flight distance : 1515312 ft
  • >>>
United States
Offline

jd.jdfinley Posted at 2016-1-5 09:25
After way more hair pulling than should be necessary, I got the Tab S working.

I downloaded and ins ...

I'm glad you got it working, I don't see the Galaxy Tab S on thenDJI website so it's not one of the recommended devices. I don't know the way you got it to work but glad you did.
I'm sorry you were having issues.
2016-1-4
Use props
jd.jdfinley
lvl.1

United States
Offline

That's because the DJI website is so poor.  I wish they would quit spending money making it look good and actually make it useful.  They list the following:
Android Version v2.4.3. Requires Android 4.1.2 or later. Compatible with Samsung tabs 705c, Samsung S6, Samsung S5, Samsung NOTE4, Samsung NOTE3, Google Nexus 9, Google Nexus 7 II, Ascend Mate7, Huawei P8 Max, Nubia Z7 mini, Sony Xperia Z3, MI 3, MI PAD, Smartisan T1.


The first item in the list "Samsung tabs 705c" can only be interrperted to be a "Samsung Galaxy Tab S".  Research shows that the 705c part makes very little sense.


2016-1-5
Use props
kns1313
lvl.1

United States
Offline

The part that scares me is that DJI makes a software change and if it doesn't work on your old device, too bad, go out and buy a new one.  DJI, I'm not really thinking that this is a good solution.
2016-8-4
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules